.games__header {
    position: relative;
}

.games__number {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    background: #FFFFFF33;
    border: 2px solid #F0FBFF;
    border-radius: 40px;
}

.games__number:hover,
.games__number:visited,
.games__number:target,
.games__number:focus {
    color: white;
    outline: 0;
    border: 2px solid #F0FBFF;
}

.games__row {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
}

.games__item {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
}

.games__button {
    background: linear-gradient(90deg, #102256 0%, #2e27d4 100%);
    padding: 1px;
    width: 100%;
}

.games__button-inner {
    background: #0B0C18;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    font-weight: 700;
}

.games .games__heading {
    text-transform: capitalize;
}

@media screen and (min-width: 1024px) {
    .games__number {
        padding: 9px 20px;
    }

    .games__item {
        flex-basis: calc((100% - 60px) / 6);
        min-height: 300px;
        border-radius: 20px;
        padding: 8px;
    }

    .games__button {
        border-radius: 400px;
    }

    .games__button-inner {
        padding: 16px;
        font-size: 20px;
        border-radius: 400px;
    }
}

@media screen and (max-width: 1023.98px) {
    .games .games__number {
        padding: 4px 8px;
        font-size: 18px;
    }

    .games__item {
        flex-basis: calc((100% - 12px) / 2);
        min-height: 228px;
        border-radius: 15px;
        padding: 6px;
    }

    .games__button {
        border-radius: 300px;
    }

    .games__button-inner {
        padding: 12px;
        font-size: 15px;
        border-radius: 300px;
    }

    .games .games__heading {
        text-align: left;
    }
}

@media screen and (min-width: 1024px) and (max-width: 1239.98px) {
    .games__item {
        flex-basis: calc((100% - 24px) / 3);
    }
}